# std::experimental::filesystem::path::root_name

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

path root_name() const; |  | (filesystem TS)

Returns the root name of the path. If the path does not include root name, returns path().

### Parameters

(none)

### Return value

The root name of the path.

### Exceptions

(none)

### Example

Run this code

    #include <iostream>
    #include <experimental/filesystem>
    namespace fs = std::experimental::filesystem;

    int main()
    {
        std::cout << "Current root name is: " << fs::current_path().root_name() << '\n';
    }

Possible output:

    Current root name is: "C:"

### See also

root_directory | returns the root directory of the path, if present (public member function)
root_path | returns the root path of the path, if present (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/root_name&oldid=78284"